<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
*  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
*  Use is subject to license terms.
-->
<HTML>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<TITLE>MIDP Project Properties: Generating Javadoc</TITLE>
<link rel="StyleSheet" href="nbdocs:/org/netbeans/modules/usersguide/ide.css" type="text/css">
</HEAD>
<BODY>

<h2>MIDP Project Properties: Generating Javadoc</h2>
<p> <small><a href="#seealso">See Also</a></small></p>
<p>Use this panel to configure how the IDE generates Javadoc documentation
for each of your projects. For each of your projects, you can produce a set of
  Javadoc HTML pages that describe the project's classes, inner classes, interfaces,
  constructors, methods,
  and fields. The Javadoc is constructed from the structure of your code and
the Javadoc comments embedded in your code. </p>
<p>You open the Generating Javadoc properties page by choosing File &gt; <em>&lt;active
    project name&gt;</em> Properties. In the Project Properties dialog, select
    Build <img src="../images/expand.gif" alt="and expand" width="12" height="12"> Generating
    Javadoc.
<ul class="note">
  <li>
    If you are setting the properties for
      a
        <object
classid="java:com.sun.java.help.impl.JHSecondaryViewer">
          <param name="content"
value="../glossary/gloss_deviceconfiguration.html">
          <param name="viewerActivator"
value="javax.help.LinkLabel">
          <param name="viewerStyle" value="javax.help.Popup">
          <param name="viewerSize" value="400,160">
          <param name="text" value="project configuration">
          <param name="textFontFamily" value="SansSerif">
          <param name="textFontSize" value="small">
          <param name="textFontWeight" value="bold">
          <param name="textFontStyle" value="italic">
          <param name="textColor" value="blue">
        </object>
      other than the default configuration (<code>DefaultConfiguration</code>),
      you must uncheck the Use Values from &quot;DefaultConfiguration&quot; checkbox
      at the top of the page to customize these options.</li>
  </ul>
<p>In this dialog, you can set the following properties: </p>
<ul>
  <li><strong>Include Private and Package Private Members. </strong>Indicates
    that private and package private members are documented.</li>
  <li><strong>Generate.</strong> Defines the items generated in javadoc. The
    default is that all the following items are included:
      <ul>
        <li>Class Hierarchy Tree. </li>
        <li>Class and package Usage Pages.</li>
        <li>Navigation Bar. </li>
        <li>Index.</li>
        <li>Separate Index per Letter.</li>
      </ul>
  </li>
  <li><strong>Document Additional Tags.</strong> The default is that the following
    options are unchecked.
      <ul>
        <li><strong>@author.</strong> Documents the author tag. </li>
        <li><strong>@version.</strong> Documents the version tag.</li>
      </ul>
  </li>
  <li><strong>Browser Window Title.</strong> Enables you to give a title of the
    javadoc.</li>
  <li><strong>Preview Generated Javadoc. </strong>Indicates that when when javadoc
    is generated, a browser is opened displaying the generated documents.</li>
</ul>
<p>For more information on generating Javadoc documentation, see: </p>
<p>
  <object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
    <param name="content" value="http://java.sun.com/j2se/1.4/docs/tooldocs/solaris/javadoc.html">
    <param name="text" value="<html><u>http://java.sun.com/j2se/1.4/docs/tooldocs/solaris/javadoc.html</u></html>">
    <param name="textFontSize" value="medium">
    <param name="textColor" value="blue">
  </object>
<dl>
  <dt><a name="seealso">See Also</a></dt>
  <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/javadoc/generate.html">Generating Javadoc Documentation</a></dd>
  <dd><a href="nbdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/javadoc/javadoc_add.html">Adding
    Javadoc to a Project</a> </dd>
  </dl>
<hr>
<small><a href="../getstarted/credits.html">Legal Notices</a></small>
</body>
</html>
